Package net.paulhertz.pixelaudio.granular

# Enum Class GestureGranularParams.TimeTransform

java.lang.Object
java.lang.Enum<GestureGranularParams.TimeTransform>
net.paulhertz.pixelaudio.granular.GestureGranularParams.TimeTransform

All Implemented Interfaces:
  `Serializable`, `Comparable<GestureGranularParams.TimeTransform>`, `Constable`

Enclosing class:
  GestureGranularParams

public static enum GestureGranularParams.TimeTransform extends Enum<GestureGranularParams.TimeTransform>
UI preset hint for timing. IMPORTANT: Playback timing transforms are value-driven and may be combined: 1) resample (targetCount > 1) 2) duration scale (targetDurationMs > 0) 3) warp (warpShape != LINEAR) The enum is used for UI state/presets, not as an exclusive gate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DURATION_SCALED`
  `RAW_GESTURE`
  `RESAMPLED_COUNT`
  `WARPED`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `TimeTransform()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GestureGranularParams.TimeTransform`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GestureGranularParams.TimeTransform[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RAW_GESTURE

    public static final GestureGranularParams.TimeTransform RAW_GESTURE

  - ### RESAMPLED_COUNT

    public static final GestureGranularParams.TimeTransform RESAMPLED_COUNT

  - ### DURATION_SCALED

    public static final GestureGranularParams.TimeTransform DURATION_SCALED

  - ### WARPED

    public static final GestureGranularParams.TimeTransform WARPED

- ## Constructor Details

  - ### TimeTransform

    private TimeTransform()

- ## Method Details

  - ### values

    public static GestureGranularParams.TimeTransform[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GestureGranularParams.TimeTransform valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null